MapNamespaceContext (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.stax.MapNamespaceContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.stax
Class MapNamespaceContext

    java.lang.Object
      org.mule.module.xml.stax.MapNamespaceContext

All Implemented Interfaces:
  NamespaceContext

    public final class MapNamespaceContext

extends Object
implements NamespaceContext

Constructor Summary
`MapNamespaceContext()`
`MapNamespaceContext(Map ns)`

Method Summary
`void` | `addNamespace(String prefix, String namespaceURI)`
`void` | `addNamespaces(Map ns)`
`String` | `getNamespaceURI(String prefix)`
`String` | `getPrefix(String namespaceURI)`
`Iterator` | `getPrefixes(String namespaceURI)`
`Map` | `getUsedNamespaces()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapNamespaceContext

    public MapNamespaceContext()

### MapNamespaceContext

    public MapNamespaceContext(Map ns)

Method Detail

### addNamespace

    public void addNamespace(String prefix,
                             String namespaceURI)

### addNamespaces

    public void addNamespaces(Map ns)

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Specified by:
    `getNamespaceURI` in interface `NamespaceContext`

### getPrefix

    public String getPrefix(String namespaceURI)

  Specified by:
    `getPrefix` in interface `NamespaceContext`

### getPrefixes

    public Iterator getPrefixes(String namespaceURI)

  Specified by:
    `getPrefixes` in interface `NamespaceContext`

### getUsedNamespaces

    public Map getUsedNamespaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.